{******************************************************************************
               Control Constants
*******************************************************************************}
Const
   RCG_DATA_VER = 101;

    WPFLAG_RETURN_MSG_ID = $1;
    WPFLAG_SHOW_MISSING_SSZLIB_MSG = $2; // show a message if sszlib not found

    WPPROP_AUTHOR            =0;       // author of the document
    WPPROP_TITLE             =1;       // title of the document
    WPPROP_PRODUCER          =2;       // producer of the document
    WPPROP_SUBJECT           =3;       // subject of the document
    WPPROP_KEYWORDS          =4;       // keywords of the document
    WPPROP_CRE_DATE          =5;       // date of the document
    WPPROP_MOD_DATE          =6;       // ModDate of the document
    WPPROP_COMPRESS_TEXT     =7;       // True to compress text
    WPPROP_EMBED_FONTS       =8;       // True to always embed fonts
    WPPROP_BOOKMARK          =9;       // Create bookmarks
    WPPROP_HYPERLINK        =10;       // Create hyperlinks
    WPPROP_MAC_COMPATIBLE   =11;       // True to create mac compatible pdf file
    WPPROP_PERM_FLAGS       =12;       // permission flags PERM_ constants
    WPPROP_USER_PASSWORD    =13;       // user password
    WPPROP_OWNER_PASSWORD   =14;       // ownwer password
    WPPROP_EXACT_TEXT_PLACEMENT =15;   // place characters at exact positions
    WPPROP_BATCH            =16;       // faster processing for smaller files when multiple conversions done in the same session
    WPPROP_NO_CACHING       =17;       // disable caaching when writing to disk
    WPPROP_DO_XPARENT       =18;       // support transparency  
    WPPROP_NO_PAGE_BM       =19;       // do not use page bitmap. A page bitmap is needed to support WPPROP_DO_XPARENT flag
    WPPROP_ZOOM_FACTOR      =20;       // zoom factor - default 1000
    WPPROP_ENABLE_GDIPLUS   =21;       // enable gdiplus - ssgp.dll file must be available for this flag to be effective
    WPPROP_RC4_128          =22;       // use RC4 128 bit security when password is specified
    WPPROP_AES_128          =23;       // use AES 128 bit security when password is specified
    WPPROP_EXPAND_WIDTH     =24;       // expand pdf width to fit the widest table
    WPPROP_HIDE_TRACKING    =25;       // TRUE to hide the tracking codes       
    WPPROP_OMIT_LAST_EMPTY_PAGE =26;   // do not print the last empty page
    WPPROP_PDFA_1B          =27;       // minimum compliance pdf/a-1b
    WPPROP_PDFA             =28;       // minimum compliance pdf/a
    WPPROP_NO_TOC_UPDATE    =29;       // don't update the table of contents
    WPPROP_PICT_QUALITY     =30;       // picture quality, 1=lowest, 5=highest, 3=default
    WPPROP_USE_ORIG_JPG     =31;       // use original jpeg data to create pdf
    WPPROP_TAGGED_PDF       =32;       // produce tagged pdf


    PERM_PRINT            =$4;     // these values are specified by the pdf spec - permission flags
    PERM_MOD              =$28;
    PERM_COPY             =$10;

    WPREP_TOP            =$1;       // print report information on the top of the page
    WPREP_BOT            =$2;       // print report informatio non the bottom of the page
    WPREP_CENTER         =$4;       // center align the info
    WPREP_RIGHT          =$8;       // right align the info
    WPREP_NO_PAGE        =$10;      // don't print the page number


//******************************************************************************
//   Message ids
//*******************************************************************************
    MSG_FILE_NOT_FOUND = 1;
    MSG_NO_EDITOR_INSTANCE = 2;
    MSG_READ_ERROR = 3;
    MSG_WRITE_ERROR = 4;
    MSG_MEMORY_LOCK = 5;
    MSG_LICENSE_EXCEEDED   =15;
    MSG_BAD_LICENSE_NUMBER =16;
    MSG_BAD_LICENSE_KEY    =17;
    MSG_INVALID_SERVER_LICENSE =18;

    MSG_OTHER = 99;


